<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EditLabel.aspx.cs" Inherits="Microsoft.Crm.Sandbox.Mobile.EditLabel" %>

<html>
<head runat="server">
    <link rel="stylesheet" type="text/css" href="Global.css" />
    <link rel="Stylesheet" type="text/css" href="Dialog.css" />
    <% RenderResources(); %>

    <script language="javascript">
    
    function CommitLabel()
    {        
        if (newLabel.value != "")
        { 
            window.returnValue = newLabel.value;
            window.close();
        }
        else
        {
            alert(MUST_SPECIFY_DISPLAY_NAME_WARNING);           
            newLabel.focus();
        }        
    }    
    
    function ChangeLabel()
    {
        if (newLabel.value == "")
        {              
            alert(MUST_SPECIFY_DISPLAY_NAME_WARNING);   
            // The Onchange for Inputs seems to ignore focus if called directly after, so 
            // we make sure to wait.    
            setTimeout('newLabel.focus();', 1);             
        }
    }
    
    function HandleKeyDown()
    {
        var ENTER_KEY = 13;
        var ESCAPE_KEY = 27;
        var iKeyPressed = event.keyCode;
        
        if (iKeyPressed == ENTER_KEY)
        {
            CommitLabel();
        }
        else if (iKeyPressed == ESCAPE_KEY)
	    {
	        window.close();
	    } 
    }
    
    </script>
</head>
<body onkeydown="HandleKeyDown();">
    <table height="100%" width="100%" cellspacing="0" cellpadding="0">
        <tr>
            <td colspan="2" class="header">
                <div class="header" id="EditLabelTitle" runat="server" />
                <div class="headerdesc" id="EditLabelDescription" runat="server" />
            </td>
        </tr>
        <tr>
            <td colspan="2" style="padding-left: 15px; padding-right: 15px;">
                <table width="100%">
                    <col width="120" />
                    <col />
                    <tr>
                        <td>
                            <b id="CurrentLabelText" runat="server" />
                        </td>
                        <td>
                            <input id="currentLabel" name="currentLabel" type="text" class="text" disabled runat="server"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <b id="NewLabelText" runat="server" />
                        </td>
                        <td>
                            <input id="newLabel" name="newLabel" type="text" class="text" value="" onchange="ChangeLabel();"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="left" class="footer">
                &nbsp;
            </td>
            <td align="right" class="footer">
                <button id="OKButton" onclick="CommitLabel();" class="DialogButton" runat="server" />
                &nbsp;
                <button id="CancelButton" onclick="window.close();" class="DialogButton" runat="server" />
            </td>
        </tr>
    </table>
</body>
</html>