﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EntityConfig.aspx.cs" Inherits="Microsoft.Crm.Sandbox.Mobile.EntityConfig" %>

<html>
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; CHARSET=utf-8">
    <% RenderResources(); %>
    <link rel="stylesheet" type="text/css" href="EntityConfig.css" />
    <link rel="stylesheet" type="text/css" href="Global.css">
    <script language="javascript" src="Global.js"></script>
    <script language="javascript" src="EntityConfig.js"></script>

    <script language="javascript">   
    function window.onload()
    {  
		hrSelectedTab.style.width = crmForm.all.GeneralTab.offsetWidth - 2;
		hrSelectedTab.style.display = "inline";
		    		       
        _bEntityConfig = true;        
        window.attachEvent("onbeforeunload", Close); 
    }    
    
    function Save(bCloseWindow)
    { 
        crmForm.FormSubmitXml.value = BuildFormXML(true);
        crmForm.CurrentXml.value = crmForm.FormSubmitXml.value;
        
        if (bCloseWindow)
        {
            crmForm.CloseWindow.checked = true;
        } 
        
        _bSaving = true; 
        
        /*var oWindow = window.opener;
        
        if (!IsNull(oWindow.crmForm))
		{
			oWindow.location.reload();
		} */ 
        
        crmForm.submit();    
    }  
    
    </script>

    

    <title></title>
</head>
<body scroll="no">
    <table class="layout" cellspacing="0" cellpadding="0">
        <tr height="54">
            <td>
                <table cellspacing="0" cellpadding="0" width="100%">
                    <tr>
                        <td>
                            <table cellspacing="0" cellpadding="0" class="mnuBar" id="mnuBar2">
                                <tr>
                                    <td class="icMenu" nowrap align="left">
                                        <span tabindex="0" class="menu" style="padding: 3px 3px 0px 3px" pl="3" pr="3" onmouseover="SetGlow(this)"
                                            onmouseout="ResetGlow(this)" onclick="Save(false);" id="SaveButton" runat="server">
                                            <div class="mnuBtn">
                                                <img src="/_imgs/ico/16_save.gif" class="mnuBtn">
                                            </div>
                                        </span>
                                        <span tabindex="0" class="menu" style="padding: 3px 5px 0px 4px" pl="4" pr="5"
                                            action="crmForm.SaveAndClose();" onclick="Save(true);" onmouseover="SetGlow(this)"
                                            onmouseout="ResetGlow(this)" id="SaveAndCloseButton" runat="server"></span>
                                        <span tabindex="0" class="menu" style="padding: 3px 3px 0px 3px" pl="3" pr="3" onmouseover="SetGlow(this)"
                                            onmouseout="ResetGlow(this)" onclick="window.close();" id="CloseButton" runat="server">
                                                <div class="mnuBtn">
                                                    <img src="/_imgs/ico/16_close.gif" class="mnuBtn">
                                                </div>
                                            </span>
                                    </td>
                                    <td>
                                        <table class="stdTable">
                                            <tr>
                                                <td class="mnuTitle mnuRight">
                                                    <nobr id="mnuTitle" class="mnuTitle"></nobr>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                <div class="toolbarShadow" />              
                <table class="formTitle" cellpadding="1" cellspacing="0">
                    <tr>
                        <td class="formTitle" nowrap id="EntityConfigNameTitle" runat="server">
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td id="areas">
                <div id="areaForm" class="area">
                    <table cellpadding="0" cellspacing="0" width="100%" height="100%">
                        <tr>
                            <td>
                                <table class="area" cellspacing="0" cellpadding="10">
                                    <tr>
                                        <td>
                                            <form id="crmForm" class="crm" runat="server" method="post">
                                                <table width="100%" height="100%" cellspacing="0" cellpadding="0">
                                                    <tr style="display: none">
                                                        <td>
                                                            <asp:CheckBox ID="CloseWindow" runat="server" />
                                                            <asp:HiddenField ID="ConfigEntityName" runat="server" />
                                                            <asp:HiddenField ID="CurrentXml" runat="server" />
                                                            <asp:HiddenField ID="FormSubmitXml" runat="server" />
                                                        </td>
                                                    </tr>
                                                    <tr height="25">
                                                        <td>
                                                            <table cellspacing="0" cellpadding="0" class="tabBar" id="crmTabBar">
                                                                <tr>
                                                                    <td id="tabs" nowrap valign="bottom">
                                                                        <span tabindex="0" class="tab tabOn" id="GeneralTab" runat="server" />
                                                                        <hr id="hrSelectedTab" class="tabGlow selectedTab">
                                                                        <hr id="hrGlowTab" class="tabGlow">
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr height="100%">
                                                        <td valign="top">
                                                            <div class="tab" id="tab0" style="display: inline">
                                                                <table cellspacing="0" cellpadding="0" class="stdTable" id="Table10">
                                                                    <tr>
                                                                        <td>
                                                                            <table width="100%" height="1%" valign="top" cellspacing="0" cellpadding="3" style="table-layout: fixed;">                                                                                
                                                                                <tr>
                                                                                    <td class="sec bar" id="CanEditTitle" runat="server" />
                                                                                </tr>
                                                                                <tr height="5">
                                                                                    <td />                                                                                    
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="n">
                                                                                        <b id="EntityShouldBeText" runat="server" />
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td>
                                                                                        <table width="100%">
                                                                                            <col width="12">
                                                                                            <col width="26">
                                                                                            <col>
                                                                                            <tr>
                                                                                                <td>
                                                                                                    &nbsp;
                                                                                                </td>
                                                                                                <td valign="top">
                                                                                                    <input class="radio" type="radio" id="radReadOnly" name="editType" checked runat="server" />
                                                                                                </td>
                                                                                                <td>
                                                                                                    <b id="ReadOnlyText" runat="server" />
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td colspan="2">
                                                                                                    &nbsp;
                                                                                                </td>
                                                                                                <td id="ReadOnlyDescription" runat="server" />
                                                                                            </tr>
                                                                                        </table>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td>
                                                                                        <table width="100%">
                                                                                            <col width="12">
                                                                                            <col width="26">
                                                                                            <col>
                                                                                            <tr>
                                                                                                <td>
                                                                                                    &nbsp;
                                                                                                </td>
                                                                                                <td valign="top">
                                                                                                    <input class="radio" type="radio" id="radEditable" name="editType" runat="server" />
                                                                                                </td>
                                                                                                <td>
                                                                                                    <b id="EditableText" runat="server" />
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td colspan="2">
                                                                                                    &nbsp;
                                                                                                </td>
                                                                                                <td id="EditableDescription" runat="server" />
                                                                                            </tr>
                                                                                        </table>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="sec bar" id="SelectFieldsToShowTitle" runat="server" />
                                                                                </tr>
                                                                                <tr height="5">
                                                                                    <td />                                                                                    
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="n" id="SelectFieldsToShowDescription" runat="server" />
                                                                                </tr>
                                                                                <tr>
                                                                                    <td>
                                                                                        <table style="table-layout: fixed" cellspacing="5" cellpadding="0">
                                                                                            <colgroup>
                                                                                                <col width="200">
                                                                                                <col>
                                                                                                <col width="200">
                                                                                                <col>
                                                                                            </colgroup>
                                                                                            <tbody>
                                                                                                <tr>
                                                                                                    <td>
                                                                                                        <b class="label" id="AvailableAttributesText" runat="server" />
                                                                                                    </td>
                                                                                                    <td>
                                                                                                        &nbsp;</td>
                                                                                                    <td>
                                                                                                        <b class="label" id="SelectedAttributesText" runat="server" />
                                                                                                    </td>
                                                                                                </tr>
                                                                                                <tr>
                                                                                                    <td>
                                                                                                        <div class="divList" id="objList" hidefocus style="width: 200px; height: 235px" tabindex="0"
                                                                                                            runat="server" />                                                                                                                                                                                                           </td>
                                                                                                    <td align="center" valign="middle">
                                                                                                        <table cellspacing="3">
                                                                                                            <tr>
                                                                                                                <td>
                                                                                                                    <button id="AddButton" onclick="MoveRight();" runat="server" />
                                                                                                                </td>
                                                                                                            </tr>
                                                                                                            <tr>
                                                                                                                <td>
                                                                                                                    <button id="RemoveButton" onclick="MoveLeft();" runat="server" />
                                                                                                                </td>
                                                                                                            </tr>
                                                                                                        </table>
                                                                                                    </td>
                                                                                                    <td>
                                                                                                        <div class="divList" id="rtnObjList" hidefocus style="width: 200px; height: 235px"
                                                                                                            tabindex="0" runat="server" />                                                                                                        
                                                                                                    </td>
                                                                                                    <td align="center" valign="top">
                                                                                                        <table cellspacing="3">
                                                                                                            <tr>
                                                                                                                <td>
                                                                                                                    <button id="MoveUpButton" onclick="MoveUp(false);" runat="server" />
                                                                                                                </td>
                                                                                                            </tr>
                                                                                                            <tr>
                                                                                                                <td>
                                                                                                                    <button id="MoveDownButton" onclick="MoveDown(false);" runat="server" />
                                                                                                                </td>
                                                                                                            </tr>
                                                                                                            <tr>
                                                                                                                <td>
                                                                                                                    <button id="EditLabelButton" onclick="EditLabel();" runat="server" />
                                                                                                                </td>
                                                                                                            </tr>
                                                                                                        </table>
                                                                                                    </td>
                                                                                                </tr>
                                                                                            </tbody>
                                                                                        </table>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <table width="100%">
                                                                                <col width="120" />
                                                                                <col />
                                                                                <tr>
                                                                                    <td>
                                                                                        <b id="CurrentLabelText" runat="server" />
                                                                                    </td>
                                                                                    <td id="currentLabel" />
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </form>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
    </table>
</body>
</html>
