<%@ Page Language="C#" AutoEventWireup="true" CodeFile="AddEntity.aspx.cs" Inherits="Microsoft.Crm.Sandbox.Mobile.AddEntity" %>
<html>
<head runat="server">
	<meta http-equiv="Pragma" content="no-cache" />
	<meta http-equiv="Expires" content="-1" />
    <link rel="stylesheet" type="text/css" href="Global.css" />
    <link rel="Stylesheet" type="text/css" href="Dialog.css" />    
    <% RenderResources(); %>

    <script language="javascript">
    function AddEntityToHomePage()
    {        
        window.returnValue = crmForm.entityList.value;
        window.close();
    }    
    
    function HandleKeyDown()
    {
        var ENTER_KEY = 13;
        var ESCAPE_KEY = 27;
        var iKeyPressed = event.keyCode;
        
        if (iKeyPressed == ENTER_KEY)
        {
            if (!crmForm.OKButton.disabled)
            {
                AddEntityToHomePage();
            }
        }
        else if (iKeyPressed == ESCAPE_KEY)
	    {
	        window.close();
	    } 
    }
    </script>

</head>
<body onkeydown="HandleKeyDown();">
    <form id="crmForm" runat="server">
        <table height="100%" width="100%" cellspacing="0" cellpadding="0">
            <tr>
                <td colspan="2" class="header">
                    <div class="header" id="AddEntityTitle" runat="server" />
                    <div class="headerdesc" id="AddEntityDescription" runat="server" />
                </td>
            </tr>
            <tr>
                <td colspan="2" style="padding-left: 15px; padding-right: 15px;">
                    <asp:DropDownList ID="entityList" runat="server" />                    
                </td>
            </tr>
            <tr>
                <td align="left" class="footer">
                    &nbsp;
                </td>
                <td align="right" class="footer">
                    <button id="OKButton" onclick="AddEntityToHomePage();" class="DialogButton" runat="server" />
                    &nbsp;
                    <button id="CancelButton" onclick="window.close();" class="DialogButton" runat="server" />
                </td>
            </tr>
        </table>
    </form>
</body>
</html>
