﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="HomePage.aspx.cs" Inherits="Microsoft.Crm.Sandbox.Mobile.HomePage" %>

<html>
<head id="Head1" runat="server">
    
    <% RenderResources(); %>   
    <link rel="stylesheet" type="text/css" href="Global.css" />
    <link rel="stylesheet" type="text/css" href="HomePage.css" />
    <script language="javascript" src="Global.js"></script>
    <script language="javascript" src="HomePage.js"></script>

    <script language="javascript">
    function Save()
    {
        crmForm.FormSubmitXml.value = BuildHomePageXML();       
        crmForm.submit();  
    } 
    
    function OnloadSelect()
    {
		var oTable = rtnObjList.firstChild;
		var oRowCount = oTable.rows.length;
    
		for (var i = 0; i < oRowCount; i++)
		{
			if(oTable.rows[i].name == document.getElementById("SelectedEntityName").value)
			{
				_oRow = oTable.rows[i];
				
				_oRow.cells[0].className = "grid currSel";
				_oRow.cells[1].className = "grid currSel";
				
				_oRow.selected = 1;
			}
		}
    }
    
    window.onload = OnloadSelect;  
    </script>

</head>
<body>
    <form id="crmForm" runat="server" method="post">
        <table cellspacing="0" cellpadding="0" style="width: 100%; height: 100%">
            <tr style="display: none">
                <td>
                    <asp:HiddenField ID="Publish" runat="server" />
                    <asp:HiddenField ID="FormSubmitXml" runat="server" />
                    <asp:HiddenField ID="SelectedEntityName" runat="server" />
                </td>
            </tr>
            <tr style="height: 100%">
                <td>
                    <table width="100%" height="100%" cellspacing="0" cellpadding="0">
                        <tr>
                            <td style="padding-left: 15px; height: 24px">
                                <div class="subtitle" id="HomePageTitle" runat="server" />
                                <div>
                                    <img src="/tools/_imgs/hr.gif" align="middle" height="1" width="100%" style="margin-bottom: 10px;"></div>
                            </td>
                        </tr>
                        <tr>
                            <td style="padding-left: 20px;" id="HomePageDescription" runat="server" />
                        </tr>
                        <tr>
                            <td style="padding-left: 40px; padding-top: 15px;">
                                <table cellpadding="0" cellspacing="0" id="Table2">
                                    <colgroup>
                                        <col>
                                        <col width="120">
                                    </colgroup>
                                    <tr>
                                        <td>
                                            <div class="divList" id="rtnObjList" hidefocus style="height: 362px; width: 100%"
                                                tabindex="0" runat="server" />
                                        </td>
                                        <td align="center">
                                            <table cellspacing="0" cellpadding="0" id="Table1">
                                                <tr>
                                                    <td>
                                                        <button id="AddButton" onclick="AddEntity();" runat="server" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="padding-top: 5px">
                                                        <button id="RemoveButton" onclick="RemoveEntity('account');"
                                                            runat="server" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="padding-top: 5px">
                                                        <button id="MoveUpButton" onclick="MoveUp();" runat="server" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="padding-top: 5px">
                                                        <button id="MoveDownButton" onclick="MoveDown();" runat="server" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="padding-top: 5px">
                                                        <button id="EditButton" onclick="EditEntity();" runat="server" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="right" valign="middle" style="padding-top: 15px;">                                           
                                            <button id="PublishButton" runat="server" onserverclick="PublishCustomizations" />
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr style="height: 23px">
                <td nowrap="true">
                    <table width="100%" cellspacing="0" cellpadding="0" class="nav">
                        <col>
                        <col width="100%">
                        <col>
                        <tr>
                            <td nowrap="true" style="vertical-align: middle; padding-left: 10px; padding-right: 7px;">
                                <b id="LocationText" runat="server" /></td>
                            <td style="vertical-align: middle;">
                                <nobr><a style="color:#ffff00;" href="HomePage.aspx" id="MobileConfigurationLocationText" runat="server" /></nobr>
                            </td>
                            <td nowrap="true" align="right" style="vertical-align: middle; padding-right: 6px;">
                                <nobr><a href="HomePage.aspx" id="AdvancedViewText" runat="server" /></nobr>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </form>
</body>
</html>
