<%@ Page Language="C#" MasterPageFile="~/MobileApplication.master" AutoEventWireup="true" CodeFile="EntityHome.aspx.cs" Inherits="EntityHome" %>
<%@ Register TagPrefix="Crm" TagName="BreadCrumbsControl" Src="~/BreadCrumbsControl.ascx" %>
<asp:Content ID="Content" ContentPlaceHolderID="PageContent" runat="Server">
	<div class="header viewHeader">
		<form id="EntitySearchForm" runat="server">
			<table width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td colspan="2">
						<b class="label" id="ViewLabel" runat="server" />
					</td>
				</tr>
				<tr>
					<td width="80%">
						<asp:DropDownList ID="ViewsListBox" runat="server" />
					</td>
					<td align="right">
						<asp:Button ID="GoButton" runat="server" />
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<b class="label" id="LookForLabel" runat="server" />
					</td>
				</tr>
				<tr>
					<td width="80%">
						<asp:TextBox ID="entitySearchTerm" runat="server" /></td>
					<td align="right">
						<asp:Button ID="FindButton" runat="server" />
					</td>
				</tr>
				<tr>
					<td colspan="2" id="CreateButtonHolder" runat="server" />
				</tr>
			</table>
		</form>
	</div>
	<%
		// Master pages use prefixes for all of their controls and in order to properly retrieve
		// them using Request.Form we need this prefix added to the id we supply
		_masterPagePrefix = Page.Master.UniqueID + MASTER_PAGE_CONTENT;
		
		try
		{
			//Check to see if there is a value in the entity search term field
			if (Request[_masterPagePrefix + entitySearchTerm.ID] == null || Request[_masterPagePrefix + entitySearchTerm.ID].Length == 0)
			{
				//If there is no value, then execute the saved query in the view dropdown
				this.ExecuteAndPrintSavedQuery();
			}
			else
			{
				//If there is a value, search the instances' primary attribute 
				//and print a list of links for each instance
				this.SearchAndPrintInstances();
			}
		}
		catch (Exception e)
		{
			Response.Write(e.StackTrace);
			Response.Write(e.InnerException);
		}	
		
	%>
</asp:Content>
